Skip to main content
POST
https://api.aisa.one/apis/v1
/
dataforseo
/
keywords_data
/
clickstream_data
/
dataforseo_search_volume
/
live
Setting Live ‘DataForSEO Search Volume’ Tasks
curl --request POST \
  --url https://api.aisa.one/apis/v1/dataforseo/keywords_data/clickstream_data/dataforseo_search_volume/live \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "keywords": [
    "<string>"
  ],
  "location_name": "<string>",
  "location_code": 123,
  "language_name": "<string>",
  "language_code": "<string>",
  "use_clickstream": true,
  "tag": "<string>"
}
'
{
  "version": "<string>",
  "status_code": 123,
  "status_message": "<string>",
  "time": "<string>",
  "cost": 123,
  "tasks_count": 123,
  "tasks_error": 123,
  "tasks": [
    "<string>"
  ],
  "tasks.id": "<string>",
  "tasks.status_code": 123,
  "tasks.status_message": "<string>",
  "tasks.time": "<string>",
  "tasks.cost": 123,
  "tasks.result_count": 123,
  "tasks.path": [
    "<string>"
  ],
  "tasks.data": [
    "<string>"
  ],
  "tasks.result": [
    "<string>"
  ],
  "tasks.result.location_code": 123,
  "tasks.result.language_code": "<string>",
  "tasks.result.items_count": "<string>",
  "tasks.result.items": [
    "<string>"
  ],
  "tasks.result.items.keyword": "<string>",
  "tasks.result.items.use_clickstream": true,
  "tasks.result.items.search_volume": 123,
  "tasks.result.items.monthly_searches": [
    "<string>"
  ],
  "tasks.result.items.monthly_searches.year": 123,
  "tasks.result.items.monthly_searches.month": 123,
  "tasks.result.items.monthly_searches.search_volume": 123
}

Documentation Index

Fetch the complete documentation index at: https://aisa.one/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
keywords
string[]
required

target keywords required field UTF-8 encoding maximum number of keywords you can specify in this array: 1000 the keywords will be converted to lowercase format Note: certain symbols and characters (e.g., UTF symbols, emojis) are not allowed to learn more about which symbols and characters can be used, please refer to this article learn more about rules and limitations of keyword and keywords fields in DataForSEO APIs in this Help Center article

location_name
string
required

full name of search engine location required field if you don’t specify location_code you can receive the list of available locations with location_name by making a separate request to https://api.dataforseo.com/v3/keywords_data/clickstream_data/locations_and_languages example: United Kingdom

location_code
integer
required

search engine location code required field if you don’t specify location_name if you use this field, you can receive the list of available locations with location_code by making a separate request to the https://api.dataforseo.com/v3/keywords_data/clickstream_data/locations_and_languages example: 2826

language_name
string
required

full name of search engine language required field if don’t specify language_code you can receive the list of available languages with their language_name by making a separate request to the https://api.dataforseo.com/v3/keywords_data/clickstream_data/locations_and_languages example: English

language_code
string
required

search engine language code required field if don’t specify language_name you can receive the list of available languages with their language_code by making a separate request to the https://api.dataforseo.com/v3/keywords_data/clickstream_data/locations_and_languages example: en

use_clickstream
boolean

use clickstream data to provide results optional field if set to true, you will get DataForSEO search volume values based on clickstream data; if set to false, Bing search volume data will be used to calculate DataForSEO search volume; default value: true; Note: Bing search volume is available for locations provided in Bing Search Volume History Locations and Bing Ads Locations endpoints; search volume values for any other location are calculated based on clickstream data even if you set this parameter to false

tag
string

user-defined task identifier optional field the character limit is 255 you can use this parameter to identify the task and match it with the result you will find the specified tag value in the data object of the response

Response

Successful response

version
string

the current version of the API

status_code
integer

general status code you can find the full list of the response codes here Note: we strongly recommend designing a necessary system for handling related exceptional or error conditions

status_message
string

general informational message you can find the full list of general informational messages here

time
string

execution time, seconds

cost
number

total tasks cost, USD

tasks_count
integer

the number of tasks in the tasks array

tasks_error
integer

the number of tasks in the tasks array returned with an error

tasks
string[]

array of tasks

tasks.id
string

task identifier unique task identifier in our system in the UUID format

tasks.status_code
integer

status code of the task generated by DataForSEO; can be within the following range: 10000-60000 you can find the full list of the response codes here

tasks.status_message
string

informational message of the task you can find the full list of general informational messages here

tasks.time
string

execution time, seconds

tasks.cost
number

cost of the task, USD

tasks.result_count
integer

number of elements in the result array

tasks.path
string[]

URL path

tasks.data
string[]

contains the same parameters that you specified in the POST request

tasks.result
string[]

array of results

tasks.result.location_code
integer

location code in a POST array if there is no data, then the value is null

tasks.result.language_code
string

language code in a POST array if there is no data, then the value is null

tasks.result.items_count
string

ithe number of results returned in the items array

tasks.result.items
string[]

array of keywords contains keywords and their search volume rates

tasks.result.items.keyword
string

keyword provided in the POST array

tasks.result.items.use_clickstream
boolean

indicates if the use_clickstream parameter is active possible values: true, false

tasks.result.items.search_volume
integer

current search volume rate of a keyword

tasks.result.items.monthly_searches
string[]

monthly search volume rates array of objects with search volume rates in a certain month of a year

tasks.result.items.monthly_searches.year
integer

year

tasks.result.items.monthly_searches.month
integer

month

tasks.result.items.monthly_searches.search_volume
integer

search volume rate in a certain month of a year